Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class RevokedInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ocsp.RevokedInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class RevokedInfo
extends ASN1Object

Constructor Summary
`RevokedInfo(ASN1GeneralizedTime revocationTime)`
`RevokedInfo(ASN1GeneralizedTime revocationTime, CRLReason revocationReason)`

Method Summary
`static RevokedInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static RevokedInfo` | `getInstance(java.lang.Object obj)`
`CRLReason` | `getRevocationReason()`
`ASN1GeneralizedTime` | `getRevocationTime()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokedInfo

    public RevokedInfo(ASN1GeneralizedTime revocationTime)

### RevokedInfo

    public RevokedInfo(ASN1GeneralizedTime revocationTime,
                       CRLReason revocationReason)

Method Detail

### getInstance

    public static RevokedInfo getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

### getInstance

    public static RevokedInfo getInstance(java.lang.Object obj)

### getRevocationTime

    public ASN1GeneralizedTime getRevocationTime()

### getRevocationReason

    public CRLReason getRevocationReason()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. RevokedInfo ::= SEQUENCE { revocationTime GeneralizedTime, revocationReason [0] EXPLICIT CRLReason OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD